summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-08-27 23:52:26 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:59 +0100
commit70857804a667696d82dc2b07880522c702cd6edd (patch)
treeccf79b46cc21bfea4a6b10e1b79daf32bb3ecd70 /desktop
parent2b71e284e253ea6af0d455aadbde83ceb20bc95a (diff)
downloadslackbuilds-70857804a667696d82dc2b07880522c702cd6edd.tar.gz
slackbuilds-70857804a667696d82dc2b07880522c702cd6edd.tar.xz
desktop/gtk-theme-Orion: Added (modern light theme).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/gtk-theme-Orion/README7
-rw-r--r--desktop/gtk-theme-Orion/doinst.sh13
-rw-r--r--desktop/gtk-theme-Orion/gtk-theme-Orion.SlackBuild65
-rw-r--r--desktop/gtk-theme-Orion/gtk-theme-Orion.info10
-rw-r--r--desktop/gtk-theme-Orion/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/desktop/gtk-theme-Orion/README b/desktop/gtk-theme-Orion/README
new file mode 100644
index 0000000000..67c5cbcbfa
--- /dev/null
+++ b/desktop/gtk-theme-Orion/README
@@ -0,0 +1,7 @@
+gtk-theme-Orion (modern light theme)
+
+Orion is a modern light theme made by Shimmer Project. It supports
+Gnome, Unity, XFCE and Openbox. The theme is compatible with GTK 3.6
+and 3.8. It also includes a GTK 2.0 theme using Murrine engine.
+
+Optional dependencies: gtk-engines, gtk-engines-unico, murrine.
diff --git a/desktop/gtk-theme-Orion/doinst.sh b/desktop/gtk-theme-Orion/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/gtk-theme-Orion/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/gtk-theme-Orion/gtk-theme-Orion.SlackBuild b/desktop/gtk-theme-Orion/gtk-theme-Orion.SlackBuild
new file mode 100644
index 0000000000..efc71f0699
--- /dev/null
+++ b/desktop/gtk-theme-Orion/gtk-theme-Orion.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# Slackware build script for gtk-theme-Orion.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="gtk-theme-Orion"
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCNAM="Orion"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# remove git stuff.
+rm -f $SRCNAM-$VERSION/.gitignore
+
+mkdir -p $PKG/usr/share/themes
+cp -a $SRCNAM-$VERSION $PKG/usr/share/themes/Orion
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/themes/Orion/{LICENSE,README} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/gtk-theme-Orion/gtk-theme-Orion.info b/desktop/gtk-theme-Orion/gtk-theme-Orion.info
new file mode 100644
index 0000000000..5d996e1c16
--- /dev/null
+++ b/desktop/gtk-theme-Orion/gtk-theme-Orion.info
@@ -0,0 +1,10 @@
+PRGNAM="gtk-theme-Orion"
+VERSION="1.5"
+HOMEPAGE="https://github.com/shimmerproject/Orion"
+DOWNLOAD="https://github.com/shimmerproject/Orion/archive/v1.5/Orion-1.5.tar.gz"
+MD5SUM="da7e92aa221e0d4a57da856a63354dd3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/gtk-theme-Orion/slack-desc b/desktop/gtk-theme-Orion/slack-desc
new file mode 100644
index 0000000000..fa8deb4606
--- /dev/null
+++ b/desktop/gtk-theme-Orion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gtk-theme-Orion: gtk-theme-Orion (modern light theme)
+gtk-theme-Orion:
+gtk-theme-Orion: Orion is a modern light theme made by Shimmer Project. It supports
+gtk-theme-Orion: Gnome, Unity, XFCE and Openbox. The theme is compatible with GTK 3.6
+gtk-theme-Orion: and 3.8. It also includes a GTK 2.0 theme using Murrine engine.
+gtk-theme-Orion:
+gtk-theme-Orion: Home page: https://github.com/shimmerproject/Orion
+gtk-theme-Orion:
+gtk-theme-Orion:
+gtk-theme-Orion:
+gtk-theme-Orion: